<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#fff6efff">

    <androidx.appcompat.widget.AppCompatImageView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingHorizontal="-15dp"
        android:scaleType="centerCrop"
        android:src="@mipmap/benefit_bg_top"
        />


    <LinearLayout
        android:id="@+id/content_root"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">
        <com.ama.core.architecture.widget.CustomTitleBar
            android:id="@+id/titlebar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            />

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp">
            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:layout_gravity="center"
                android:gravity="center_vertical"
                >
                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@mipmap/benefit_top_left"
                    />

                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="14sp"
                    android:textColor="@color/gray_c9"
                    android:text="@string/termina"
                    android:layout_marginHorizontal="20dp"
                    />

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@mipmap/benefit_top_right"
                    />
            </LinearLayout>


        </FrameLayout>

        <com.gamedog.vididin.features.benefit.widget.CounterDownTimerView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            />


        <androidx.core.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="20dp"
                    android:background="@drawable/bg_benefit_top_white"
                    android:padding="15dp"
                    android:orientation="vertical"
                    android:layout_marginHorizontal="15dp">


                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="match_parent"
                        android:layout_height="25dp"
                        android:layout_marginTop="20dp"
                        android:src="@drawable/bg_benefit_top_items"/>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:layout_gravity="center"
                        android:layout_marginTop="-40dp"
                        android:gravity="center_vertical" >
                        <!--items-1-->
                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:orientation="vertical"
                            android:gravity="center_horizontal" >
                            <FrameLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content">
                                <androidx.appcompat.widget.AppCompatImageView
                                    android:id="@+id/iv_subtask_1"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:src="@mipmap/benefit_item_expired"/>
                                <androidx.appcompat.widget.AppCompatTextView
                                    android:id="@+id/tv_subtask_1_reward"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="6dp"
                                    android:layout_gravity="center_horizontal|bottom"
                                    android:textSize="12sp"
                                    android:textColor="@color/white"
                                    android:text="@string/cash"
                                    android:drawableStart="@mipmap/icon_cash_s"
                                    android:drawablePadding="3dp"
                                    android:gravity="center_vertical"
                                    />
                            </FrameLayout>

                            <androidx.appcompat.widget.AppCompatTextView
                                android:id="@+id/tv_subtask_1_state"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="6dp"
                                android:textSize="12sp"
                                android:textColor="@color/gray_60"
                                android:textStyle="bold"
                                android:text="@string/expired"/>
                        </LinearLayout>

                        <!--items-1-->
                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:orientation="vertical"
                            android:gravity="center_horizontal" >
                            <FrameLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content">
                                <androidx.appcompat.widget.AppCompatImageView
                                    android:id="@+id/iv_subtask_2"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:src="@mipmap/benefit_item_finished"/>
                                <androidx.appcompat.widget.AppCompatTextView
                                    android:id="@+id/tv_subtask_2_reward"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="6dp"
                                    android:layout_gravity="center_horizontal|bottom"
                                    android:textSize="12sp"
                                    android:textColor="@color/white"
                                    android:drawableStart="@mipmap/icon_check_mark"
                                    android:gravity="center_vertical"
                                    />
                            </FrameLayout>

                            <androidx.appcompat.widget.AppCompatTextView
                                android:id="@+id/tv_subtask_2_state"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="6dp"
                                android:textSize="12sp"
                                android:textColor="@color/green_39"
                                android:textStyle="bold"
                                android:text="@string/finished"/>
                        </LinearLayout>

                        <!--items-3-->
                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:orientation="vertical"
                            android:gravity="center_horizontal" >
                            <FrameLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content">
                                <androidx.appcompat.widget.AppCompatImageView
                                    android:id="@+id/iv_subtask_3"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:src="@mipmap/benefit_item_ongoing"/>

                                <androidx.appcompat.widget.AppCompatTextView
                                    android:id="@+id/tv_subtask_3_reward"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="6dp"
                                    android:layout_gravity="center_horizontal|bottom"
                                    android:textSize="12sp"
                                    android:textColor="@color/white"
                                    android:text="@string/cash"
                                    android:drawableStart="@mipmap/icon_cash_s"
                                    android:drawablePadding="3dp"
                                    android:gravity="center_vertical"
                                    />
                            </FrameLayout>

                            <androidx.appcompat.widget.AppCompatTextView
                                android:id="@+id/tv_subtask_3_state"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="6dp"
                                android:textSize="12sp"
                                android:textColor="@color/red_5c"
                                android:textStyle="bold"
                                android:text="@string/ongoing"/>
                        </LinearLayout>
                    </LinearLayout>


                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_resgatar"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="25dp"
                        android:textSize="18sp"
                        android:textStyle="bold"
                        android:background="@mipmap/but_bg_grady"
                        android:gravity="center"
                        android:layout_gravity="bottom|center_horizontal"
                        android:textColor="@color/white"
                        android:text="@string/resgatar"/>

                </LinearLayout>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="20dp"
                    android:background="@drawable/bg_benefit_top_white"
                    android:padding="15dp"
                    android:orientation="vertical"
                    android:layout_marginHorizontal="15dp">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:paddingVertical="15dp"
                        android:paddingHorizontal="5dp"
                        android:background="@drawable/bg_benefit_tasks_top">
                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_toLeftOf="@+id/tv_hint_reward_num"
                            android:singleLine="true"
                            android:textSize="15sp"
                            android:textStyle="bold"
                            android:gravity="center_vertical"
                            android:textColor="@color/black_33"
                            android:text="@string/benefit_task_top_hint"/>

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/tv_hint_reward_num"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:singleLine="true"
                            android:textSize="15sp"
                            android:textStyle="bold"
                            android:layout_marginStart="5dp"
                            android:gravity="center_vertical"
                            android:textColor="@color/red_5c"
                            android:text="@string/cash"/>
                    </RelativeLayout>


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:layout_marginTop="10dp"
                        android:gravity="center_vertical">

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textSize="14sp"
                            android:textColor="@color/gray6"
                            android:text="@string/progress"/>

                        <com.ama.core.architecture.widget.CustomProgressBar
                            android:id="@+id/progress_tasks"
                            android:layout_width="0dp"
                            android:layout_weight="1"
                            android:layout_height="5dp"
                            android:layout_marginHorizontal="10dp"
                            />


                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/tv_progress_num"
                            android:layout_width="50dp"
                            android:layout_height="wrap_content"
                            android:textSize="12sp"
                            android:gravity="center"
                            android:textColor="@color/gray9"
                            android:text="(0%)"/>

                    </LinearLayout>


                    <LinearLayout
                        android:id="@+id/ll_sub_task_container"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="20dp"
                        android:orientation="vertical">
                    </LinearLayout>

                </LinearLayout>
            </LinearLayout>

        </androidx.core.widget.NestedScrollView>

    </LinearLayout>

</FrameLayout>


